package com.ejie.ad74a.util.constantes;

import org.springframework.context.i18n.LocaleContextHolder;

import com.ejie.ad74a.util.comun.Utilidades;

/*
 * ESTOS DATOS VIENE DE BBDD AD74A37T00
 * MANTENER 
 * */

public enum TramitesEnum {

	RECEPCION_SOL_APERTURA(1L, "tramites.recepcion_sol_apertura"),
	PLAZO_DESESTIMIENTO(2L, "tramites.plazo_desestimiento"),
	ESTUDIO_DOCUMENTACION(3L, "tramites.estudio_documentacion"),
	RECEPCION_DOCUMENTACION(4L, "tramites.recepcion_documentacion"),
	RECEPCION_DESIS_EXPRESO(5L, "tramites.recepcion_desisExpreso"),
	ADJUNTAR_DOCUMENTACION(6L, "tramites.adjuntar_documentacion"),
	REQUERIMIENTO_SUBSANACION(7L, "tramites.req_subsanacion"),
	NOTIFICACION_SUBSANACION(8L, "tramites.notif_subsanacion"), //
	PASO_DESISTIMIENTO(9L, "tramites.desistimiento"), //
	RESOL_DESISTIMIENTO(10L, "tramites.resol_desistimiento"), //
	NOTI_RESOL_DESISTIMIENTO(11L, "tramites.notif_resol_desistimiento"),
	RESOL_CONCESION(12L, "tramites.resol_concesion"), //
	NOTI_RESOL_CONCESION(13L, "tramites.notif_resol_concesion"), //
	RESOL_DENEGACION(15L, "tramites.resol_denegacion"), //
	NOTI_RESOL_DENEGACION(16L, "tramites.notif_resol_denegacion"), //
	SOLICITUD_INFORME_INTERVENCION(17L, "tramites.solicitud_informe_intervencion"), //
	COMUNICACION_INFORME(18L, "tramites.comunicacion_informe"), //
	AUDIENCIA(19L, "tramites.audiencia"), //
	NOTI_TRAMITE_AUDIENCIA(20L, "tramites.noti_tramite_audiencia"), //
	CIERRE(14L, "tramites.cierre"), //
	APER_PLAZO_RECUR_DESIS(21L, "tramites.aper_plazo_recur_desis"),
	RESOL_DENEGACION_SERVICIO(22L, "tramites.resol_denegacion_servicio"),
	NOTI_DENEGACION_SERVICIO(23L, "tramites.noti_denegacion_servicio"),
	NOTI_LIQUIDACION(24L, "tramites.noti_liquidacion"), //
	APOR_CARTA_LIQUID(25L, "tramites.apor_carta_liquid");

	/**
	 * Constructor privado.
	 * 
	 * idtaskId Long
	 *
	 * @param idtaskId the id tipo doc
	 */
	private TramitesEnum(Long id, String literal) {
		this.id = id;
		this.literal = literal;
	}

	private Long id;
	private String literal;

	/**
	 * Gets the id
	 * 
	 * Long
	 *
	 * @return the id
	 */
	public Long getId() {
		return this.id;
	}

	public String getLabelDesc() {
		return Utilidades.getLabelFromResource(Constantes.BASENAME_RESOURCE_AD74A_I18N, this.literal,
				LocaleContextHolder.getLocale());
	}

	public String getLiteral() {
		return literal;
	}

}
